Subject: bug#12033: closed (Re: bug#12033: format should be faster)

From: Ian Price <[email-masked]>
Date: Tue, 21 Aug 2012 04:32:11 +0100

Noah Lavine <[email-masked]> writes:

> It seems clear that in this case, Guile "should" know how to dispatch
> on the format string just once, outside of the loop, instead of doing
> it in every iteration. What do people think of declaring format as a
> macro? That wouldn't help instances of format that have a variable
> format string, but I bet that's a lot less common than this case.

Makes sense to me, though I'm not quite sure how that plays with (ice-9
format)'s side-effecting of the existing format binding. Though it was
meant as a toy, I wrote https://gist.github.com/3167775 ages ago, along
similar lines to this.

-- 
Ian Price -- shift-reset.com

"Programming is like pinball. The reward for doing it well is
the opportunity to do it again" - from "The Wizardy Compiled"